@import 'custom/vars';

@media (max-width: 1024px) {
  * {
    box-sizing: border-box;
  }
  body {
    &.is-sitemap-open {
    }
  }
  // layout
  .app {
    min-width: 100%;
    height: auto;
  }
  .app-aside {
    $aside: &;
    z-index: initial;
    position: relative;
    top: auto;
    left: auto;
    width: 100%;
    height: 158px;
    border: none;
    margin: 0 0 -5px 0;
    background: $primary;
    &:after {
      z-index: -1;
      visibility: hidden;
      content: '';
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0);
      transition: background-color 0.5s ease;
    }
    &.is-main-aside {
      #{$aside}__menu--anchor {
        color: $primary !important;
      }
    }
    &.is-gnb-open {
      z-index: 1000;
      &:after {
        z-index: 0;
        display: block;
        visibility: visible;
        background-color: rgba(0, 0, 0, 0.5);
      }
      #{$aside}__logo {
        z-index: 1001;
        position: fixed;
        #{$aside}__logo--link {
          background-image: url('../img/logo.png');
        }
      }
      #{$aside}__wrap {
        visibility: visible;
        opacity: 1;
        transform: scale(1);
      }
      .btn-hamburger {
        position: fixed;
        &__bar {
          background: $primary;
          &:nth-child(2) {
            transform: rotate(-47deg) translate(0, 0);
            margin: 0;
          }
          &:nth-child(3) {
            transform: rotate(47deg) translate(-1px, -1px);
            margin: 0;
          }
          &:last-child {
            display: none;
          }
        }
      }
    }
    &__logo {
      position: absolute;
      top: 20px;
      left: 20px;
      margin: 0;
      &--link {
        background-image: url('../img/logo_m.png');
      }
    }
    .btn-hamburger {
      $hamburger: '.btn-hamburger';
      z-index: 1001;
      position: absolute;
      top: 0;
      right: 0;
      width: 68px;
      height: 68px;
      padding: 22px;
      border: none;
      background: none;
      outline: none;
      &__bar {
        display: block;
        width: 100%;
        height: 2px;
        background: $white;
        transition: all 0.5s ease-out;
        & ~ #{$hamburger}__bar {
          margin: 6px 0 0 0;
        }
      }
    }
    &__wrap {
      z-index: 1000;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      visibility: hidden;
      opacity: 0;
      transform: scale(0.9);
      transform-origin: 50% 50%;
      transition: all 0.5s ease;
    }
    &__menu {
      position: relative;
      z-index: 1;
      margin: 0;
      padding: 115px 20px 0 20px;
      border: none;
      background: $white;
      &--item {
        border: none;
        & ~ & {
          margin: 18px 0 0 0;
        }
        &.is-active {
          #{$aside}__menu--anchor {
            opacity: 1;
            background: none;
            color: $primary;
          }
          #{$aside}__depth {
            text-align: left;
          }
        }
      }
      &--anchor {
        min-height: 44px;
        line-height: 44px;
        opacity: 0.3;
        font-size: 30px;
        font-weight: bold;
        letter-spacing: -0.75px;
        background: none;
        text-align: left;
        color: $primary;
      }
    }
    &__container {
      position: relative;
    }
    &__depth {
      z-index: 1;
      position: absolute;
      top: 0;
      left: 160px;
      padding: 0;
      background: $white;
      &--item {
        & ~ & {
          margin: 10px 0 0 0;
        }
      }
      &--link {
        font-size: 16px;
        font-weight: 400;
        letter-spacing: -0.4px;
      }
    }
    &__utill {
      z-index: 1;
      position: relative;
      bottom: auto;
      padding: 45px 0 30px 0;
      background: $white;
      .buttons {
        display: flex;
        justify-content: space-between;
        .btn {
          flex: 1;
          max-width: 46%;
          margin: 0;
        }
      }
    }
  }
  .app-main {
    position: static;
    margin: 0;
  }
  .app-container {
    position: relative;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    padding: 0 0 100px 0;
    background: #fff;
    &:before {
      display: none;
    }
    .ui-title {
      z-index: 101;
      position: absolute;
      top: -63px;
      left: 20px;
      font-size: 32px;
      font-weight: bold;
      letter-spacing: -0.8px;
      line-height: 44px;
      color: $white;
    }
  }
  .app-nav {
    $appNav: &;
    &.is-dropdown-open {
      .mui-tabs__bar {
        visibility: visible;
        opacity: 1;
        transform: scale(1);
      }
    }
    &__dropdown {
      width: 100%;
      height: 48px;
      padding: 0 20px;
      line-height: 48px;
      font-size: 15px;
      font-weight: bold;
      letter-spacing: normal;
      border: none;
      border-bottom: 1px solid $lightGray;
      background: none;
      text-align: left;
      &:after {
        position: absolute;
        top: 12px;
        right: 18px;
        display: block;
        content: '';
        width: 25px;
        height: 24px;
        background: url('../img/bg_dropdown_arrow.png') no-repeat 50% 50%;
        background-size: 12px;
      }
    }
    .mui-tabs__bar {
      z-index: 100;
      position: absolute;
      top: 0;
      left: 0;
      overflow: hidden;
      width: 100%;
      margin: 0;
      visibility: hidden;
      opacity: 0;
      border-top-left-radius: 5px;
      border-top-right-radius: 5px;
      transform: scale(0.9);
      transform-origin: 50% 50%;
      transition: all 0.5s ease;
      background: $white;
      box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2),
        0px 8px 10px 1px rgba(0, 0, 0, 0.14),
        0px 3px 14px 2px rgba(0, 0, 0, 0.12);
      & > li {
        position: relative;
        display: block;
        width: 100%;
        border: none;
        text-align: left;
        a {
          padding: 0 20px;
        }
      }
    }
  }
  .app-footer {
    position: relative;
    bottom: auto;
    left: auto;
    background: $primary;
    color: $white;
    &__inner {
      display: flex;
      flex-direction: column-reverse;
      padding: 28px 20px;
    }
    .company {
      flex-direction: column;
      float: none;
      margin: 28px 0 0 0;
      &__name {
        color: $white;
      }
      &__address {
        padding: 3px 0 0 0;
        font-size: 12px;
        letter-spacing: -0.3px;
        font-weight: bold;
        color: #4481c3;
      }
    }
    .policy {
      $policy: '.policy';
      display: block;
      &__item {
        padding: 0;
        & ~ #{$policy}__item {
          margin: 7px 0 0 0;
        }
        &:after {
          display: none;
        }
        a {
          display: inline-block;
          font-size: 14px;
          font-weight: bold;
          letter-spacing: -0.35px;
          color: $white;
        }
      }
    }
    .sitemap {
      $sitemap: &;
      &__container {
        padding: 0 25px;
        justify-content: space-between;
        background: #fff;
        color: $primary;
      }
      &__group {
        padding: 106px 0 0 0;
        & ~ .sitemap__group {
          margin: 0;
        }
        strong {
          font-size: 16px;
        }
        li {
          margin: 10px 0 0 0;
          &:first-child {
            margin: 10px 0 0 0;
          }
          a {
            font-size: 14px;
            color: $primary;
          }
        }
      }
      .btn-sitemap-close {
        right: 10px;
        background: url(../img/btn_sitemap_close_m.png) no-repeat 50% 50%;
      }
    }
  }

  // ui
  .is-desktop {
    display: none;
  }
  .is-mobile {
    display: block;
  }
  .is-desktop-wrapline {
    display: none !important;
  }
  .is-mobile-wrapline {
    display: block !important;
  }
  .btn {
    & ~ & {
      margin-left: 6px;
    }
    &__text {
      padding: 0 12px;
    }
  }
  .sns-list {
    &__item {
      a {
        width: 100%;
        display: block;
        padding: 0 11%;
      }
    }
  }
  .key-visual {
    &__img {
      position: relative;
      overflow: hidden;
      img {
        position: relative;
        min-width: 182%;
        top: 0;
        left: 50%;
        transform: translate(-50%, 0);
      }
    }
    &__subject {
      position: static;
      padding: 0 20px;
      margin: 43px 0 0 0;
      font-size: 40px;
      font-weight: bold;
      font-style: normal;
      letter-spacing: -1px;
      line-height: 40px;
    }
  }
  .map {
    position: relative;
    padding-top: 112.5%;
    img,
    canvas {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  .contact {
    $contact: &;
    &--item {
      line-height: 24px;
      & ~ #{$contact}--item {
        margin: 9px 0 0 0;
      }
    }
    &--label {
      min-width: 102px;
      font-size: 16px;
      font-weight: bold;
      letter-spacing: -0.4px;
    }
    &--text {
      font-size: 16px;
      letter-spacing: -0.4px;
    }
  }
  .introduce {
    $introduce: &;
    display: block;
    margin: 30px 0 0 0;
    padding: 0 20px;
    &__title {
      font-size: 20px;
      letter-spacing: -0.5px;
      line-height: 30px;
      span ~ span {
        margin: 19px 0 0 0;
      }
    }
    &__desc {
      margin: 30px 0 0 0;
      &--text {
        font-size: 14px;
        letter-spacing: -0.35px;
        line-height: 25px;
        & ~ #{$introduce}__desc--text {
          margin: 33px 0 0 0;
        }
        br {
          display: none;
        }
      }
    }
    &__traffic {
      $traffic: &;
      display: block;
      margin: 40px 0 0 0;
      &--item {
        display: flex;
        align-items: center;
        & ~ #{$traffic}--item {
          margin: 22px 0 0 0;
        }
        p {
          margin: 0 0 0 16px;
          font-size: 16px;
          letter-spacing: -0.4px;
          line-height: 24px;
        }
      }
    }
  }
  .attached-file {
    .ico {
      margin: 0 12px 0 0;
    }
  }

  // board
  .board {
    $board: &;
    &-list {
      margin: 40px 20px 0 20px;
      &__item {
        padding: 15px 0;
        border-bottom: 1px solid $lightGray;
        &.is-important {
          #{$board}-list__subject {
            padding-left: 38px;
            font-weight: bold;
            color: $primary;
            background: url('../img/ico_important.png') no-repeat 0 2px;
            background-size: 22px;
          }
        }
      }
      &__subject {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        font-size: 16px;
        font-weight: normal;
        letter-spacing: -0.4px;
        color: $default;
      }
      &__info {
        display: flex;
        justify-content: space-between;
        margin: 14px 0 0 0;
        padding: 0 0 0 38px;
      }
      &__file {
        flex: 1;
        max-width: 50%;
        font-size: 13px;
        a {
          color: $default;
        }
      }
      &__post {
        flex: 1;
        max-width: 50%;
        text-align: right;
        font-size: 13px;
        letter-spacing: -0.32px;
        color: $default;
        .ico {
          margin: 0 3px 0 0;
          vertical-align: -3px;
        }
        &--admin {
          display: inline-block;
          margin: 0 7px 0 0;
        }
        &--date {
          display: inline-block;
        }
      }
    }
    &-detail {
      $detail: &;
      margin: 40px 20px 0 20px;
      &__head {
        padding: 18px 0;
      }
      &__title {
        font-size: 16px;
        font-weight: 400;
        line-height: 1.5;
        letter-spacing: -0.4px;
      }
      &__content {
        padding: 30px 0 0 0;
        &--par {
        }
        &--img {
          margin: 40px 0 0 0;
          img {
            width: 100%;
          }
        }
      }
      &__additional {
        margin: 18px 0 0 0;
        &.is-desktop {
          display: none;
        }
        &.is-mobile {
          display: flex;
        }
        &--subject {
          font-style: normal;
          font-weight: normal;
          color: $default;
          & ~ #{$detail}__additional--subject {
            margin: 0 0 0 15px;
          }
        }
        &--system {
          margin: 0 0 0 7px;
        }
      }
      &__file {
        margin: 60px 0 0 0;
        padding: 0;
      }
    }
    &-bottom {
      margin: 20px 0 0 0;
      &.is-between {
        display: block;
        text-align: center;
        .buttons {
          display: inline-block;
          &.is-desktop {
            display: none;
          }
        }
      }
    }
  }

  .pagenation {
    a,
    strong {
      min-width: 28px;
      height: 28px;
      line-height: 28px;
    }
    .dump {
      display: none;
    }
  }

  .form-serarch {
    position: relative;
    top: auto;
    right: auto;
    margin: 30px 0 0 0;
    padding: 0 20px;
    .input__text {
      flex: 1;
      min-width: auto;
      input {
        padding: 0 0 6px 0;
      }
    }
  }

  // modal
  #mui-overlay {
    $modal: '.modal';
    &.is-user-modal {
      #{$modal} {
        position: absolute;
        top: 20px;
        left: 0;
        width: 100%;
        bottom: auto;
        height: auto;
        align-items: flex-start;
        padding: 0 20px 20px 20px;
        margin-bottom: 20px;
        #{$modal}__body {
          padding: 20px;
        }
      }
    }
  }
  .modal {
    $modal: &;
    padding: 0 20px;
    &__container {
      min-width: 100%;
    }
    &__body {
      max-height: 380px;
    }
    .buttons {
      margin: 24px 0 0 0;
      .btn {
        height: 36px;
        line-height: 36px;
      }
    }
  }

  // about page
  .about {
    &--01 {
      margin: 0;
    }
    &--02 {
      margin: 0;
      .introduce {
        $introduce: '.introduce';
        &__title {
          span ~ span {
            margin: 0;
          }
        }
        &__desc {
          margin: 28px 0 0 0;
        }
      }
      .buttons {
        margin: 11px 0 0 0;
      }
    }
    &--03 {
      .introduce {
        $introduce: '.introduce';
        &__title {
          span ~ span {
            margin: 0;
          }
        }
        &__desc {
          margin: 50px 0 0 0;
        }
      }
      .buttons {
        margin: 24px 0 0 0;
      }
    }
  }

  // service page
  .service {
    $service: &;
    max-width: 100%;
    padding: 0;
    &--02 {
      #{$service}__figure {
        margin: 0 -31px;
        padding: 0;
      }
    }
    &__section {
      overflow: hidden;
      flex-direction: column-reverse;
      margin: 30px 0 0 0;
    }
    &__figure {
      margin: 0 -28px 0 0;
      padding: 0 0 0 28px;
      img {
        width: 100%;
      }
    }
    &__description {
      min-width: auto;
      .ui-subtitle {
        margin: 50px 0 0 0;
        padding: 0 20px;
        span {
          display: block;
          font-size: 28px;
          letter-spacing: -0.7px;
          line-height: 38px;
          &.color-secondary {
            margin: 0 0 13px 0;
            font-size: 20px;
            letter-spacing: -0.5px;
            line-height: 30px;
          }
        }
      }
      &--par {
        margin: 32px 0 0 0;
        padding: 0 20px;
        font-size: 14px;
        letter-spacing: -0.35px;
        line-height: 25px;
      }
    }
  }

  .schedule-prov {
    $schedule: &;
    margin: 75px 0 0 0;
    &__container {
      padding: 0 20px;
      flex-wrap: wrap;
      justify-content: space-between;
      &::before {
        display: none;
      }
    }
    &__item {
      flex: 1;
      height: 120px;
      max-width: 46%;
      & ~ #{$schedule}__item {
        margin: 0;
      }
      &:nth-child(1) {
        border: 1px solid $primary;
        #{$schedule}__subject {
          color: $primary;
        }
      }
      &:nth-child(3) {
        border: 1px solid $secondary;
        #{$schedule}__subject {
          color: $secondary;
        }
      }
      &:last-child {
        margin: 20px 0 0 0;
        min-width: 100%;
        max-width: 100%;
        background-image: linear-gradient(217deg, $secondary 0%, $primary 100%);
      }
    }
    &__img {
      display: none;
    }
    &__subject {
      font-size: 18px;
      font-weight: bold;
      font-style: normal;
      letter-spacing: -0.45px;
    }
  }

  .tracking {
    $tracking: &;
    overflow: hidden;
    margin: 75px 0 0 0;
    &__img {
      display: none;
    }
    &__item {
      & ~ #{$tracking}__item {
        margin: 30px 0 0 0;
      }
      &--img {
        display: block;
        margin: 64px -10% 0 -10%;
        img {
          max-width: 500px;
          margin: 0 auto;
          display: block;
          width: 100%;
        }
      }
      &--subject {
        position: relative;
        top: auto;
        left: auto;
        width: auto;
        max-width: 240px;
        height: auto;
        min-height: 60px;
        line-height: 1.5;
        padding: 15px 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        margin: 0 auto !important;
        &:after {
          top: auto;
          bottom: -43px;
          height: 43px;
        }
        &:before {
          top: auto;
          bottom: -49px;
        }
        #{$tracking}__item-03 & {
          &:after {
            top: auto;
            bottom: -43px;
            left: 50%;
            width: auto;
            height: 43px;
            border: none;
            border-left: 1px dotted #024287;
          }
          &:before {
            top: auto;
            right: auto;
            left: calc(50% - 3px);
            bottom: -49px;
          }
        }
      }
    }
  }

  .space-protection {
    $space: &;
    margin: 85px 0 0 0;
    padding: 0 20px;
    &__container {
      flex-direction: column;
    }
    &__item {
      & ~ #{$space}__item {
        margin: 50px 0 0 0;
      }
    }
    &__img {
      width: 100%;
    }
    &__subject {
      margin: 15px 0 0 0;
      padding: 0 4px;
    }
  }

  // customer
  .customer-qna {
    display: block;
    margin: 40px 0 0 0;
    padding: 0 20px;
    .mui-checkbox {
      margin: 0;
    }
    &__contact {
      max-width: 100%;
      padding: 0;
      &--par {
        margin: 28px 0 0 0;
        font-size: 16px;
        line-height: 1.4;
        letter-spacing: -0.4px;
      }
      .ui-subtitle {
        font-size: 20px;
        font-weight: bold;
        letter-spacing: -0.5px;
        line-height: 30px;
        .color-secondary {
          display: inline;
          margin: 0;
        }
      }
      .contact {
        margin: 28px 0 0 0;
      }
    }
    &__form {
      margin: 46px 0 0 0;
    }
    &__bottom {
      display: block;
      padding-top: 30px;
      text-align: center;
      .form__agree {
        text-align: left;
      }
      .btn {
        margin: 50px 0 0 0;
      }
    }
  }
}
